---

- name: Deploy backend configuration
  template: src=env.j2 dest={{ penpot_root_dir }}/etc/env owner=root group={{ penpot_user }} mode=640
  notify: restart penpot
  tags: penpot

- name: Deploy frontend configuration
  template: src=config.js.j2 dest={{ penpot_root_dir }}/frontend/js/config.js
  tags: penpot

- name: Deploy nginx configuration
  template: src=nginx.conf.j2 dest=/etc/nginx/ansible_conf.d/10-penpot.conf
  notify: reload nginx
  tags: penpot
